Skip to main content
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
suspicious-ip-throttling
Go
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.AttackProtection.SuspiciousIpThrottling.Get(
        context.TODO(),
    )
}
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.attackProtection.suspiciousIpThrottling.get();
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.attackProtection.suspiciousIpThrottling.get();
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/attack-protection/suspicious-ip-throttling \
--header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/attack-protection/suspicious-ip-throttling"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


{
  "enabled": true,
  "shields": [],
  "allowlist": [
    "127.0.0.1"
  ],
  "stage": {
    "pre-login": {
      "max_attempts": 100,
      "rate": 864000
    },
    "pre-user-registration": {
      "max_attempts": 50,
      "rate": 1728000
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Suspicious IP throttling configuration successfully retrieved.

enabled
boolean

Whether or not suspicious IP throttling attack protections are active.

shields
enum<string>[]

Action to take when a suspicious IP throttling threshold is violated. Possible values: block, admin_notification.

Available options:
block,
admin_notification
allowlist
(string<ipv4> | string<cidr> | string<ipv6> | string<ipv6_cidr>)[]

List of trusted IP addresses that will not have attack protection enforced against them.

stage
object

Holds per-stage configuration options (max_attempts and rate).